<template>
  <h1>Person detail view</h1>
  {{personId}}


  <div v-if="person">
    {{person}}
  </div>
  <div v-else>
    Person wurde nicht gefunden
  </div>

  <router-link :to="'/persons/' + prevPersonId" v-if="prevPersonId >= 0">Vorherige Person</router-link>
  <router-link :to="'/persons/' + nextPersonId">Nächste Person</router-link>
</template>

<script setup>
import {useRoute} from "vue-router";
import {computed} from "vue";
import {usePersonsStore} from "@/stores/PersonStore";

const route = useRoute()
const personId = computed(() => parseInt(route.params.personId))
const personsStore = usePersonsStore();
const person = computed(() => personsStore.persons[personId.value])

const nextPersonId = computed(() => (personId.value + 1) % personsStore.persons.length)
const prevPersonId = computed(() => (personId.value - 1) % personsStore.persons.length)
</script>
